> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gitlab Resources

> Get all GitLab projects and groups where the user has admin access.

Returns a list of resources with their webhook installation status.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /integration/gitlab/resources
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /integration/gitlab/resources:
    get:
      summary: Get Gitlab Resources
      description: |-
        Get all GitLab projects and groups where the user has admin access.

        Returns a list of resources with their webhook installation status.
      operationId: get_gitlab_resources_integration_gitlab_resources_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitLabResourcesResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    GitLabResourcesResponse:
      properties:
        resources:
          items:
            $ref: '#/components/schemas/ResourceWithWebhookStatus'
          type: array
          title: Resources
      type: object
      required:
        - resources
      title: GitLabResourcesResponse
    ResourceWithWebhookStatus:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        full_path:
          type: string
          title: Full Path
        type:
          type: string
          title: Type
        webhook_installed:
          type: boolean
          title: Webhook Installed
        webhook_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Uuid
        last_synced:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Synced
      type: object
      required:
        - id
        - name
        - full_path
        - type
        - webhook_installed
        - webhook_uuid
        - last_synced
      title: ResourceWithWebhookStatus
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````